package org.wfc.omada.api.log.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.Valid;
import javax.validation.constraints.NotNull;
import java.util.ArrayList;
import java.util.List;
import java.util.Objects;

/**
 * AuditLogNotificationSettingEditOpenApiVo
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:45:56.254+08:00[Asia/Shanghai]")

public class AuditLogNotificationSettingEditOpenApiVo   {
  @JsonProperty("webhookConfig")
  private WebhookConfigEditOpenApiVo webhookConfig;

  @JsonProperty("auditLogNotifications")
  @Valid
  private List<AuditLogNotificationEditOpenApiVo> auditLogNotifications = new ArrayList<>();

  public AuditLogNotificationSettingEditOpenApiVo webhookConfig(WebhookConfigEditOpenApiVo webhookConfig) {
    this.webhookConfig = webhookConfig;
    return this;
  }

  /**
   * Get webhookConfig
   * @return webhookConfig
  */
  @ApiModelProperty(required = true, value = "")
  @NotNull

  @Valid

  public WebhookConfigEditOpenApiVo getWebhookConfig() {
    return webhookConfig;
  }

  public void setWebhookConfig(WebhookConfigEditOpenApiVo webhookConfig) {
    this.webhookConfig = webhookConfig;
  }

  public AuditLogNotificationSettingEditOpenApiVo auditLogNotifications(List<AuditLogNotificationEditOpenApiVo> auditLogNotifications) {
    this.auditLogNotifications = auditLogNotifications;
    return this;
  }

  public AuditLogNotificationSettingEditOpenApiVo addAuditLogNotificationsItem(AuditLogNotificationEditOpenApiVo auditLogNotificationsItem) {
    this.auditLogNotifications.add(auditLogNotificationsItem);
    return this;
  }

  /**
   * Audit Log Notification List
   * @return auditLogNotifications
  */
  @ApiModelProperty(required = true, value = "Audit Log Notification List")
  @NotNull

  @Valid

  public List<AuditLogNotificationEditOpenApiVo> getAuditLogNotifications() {
    return auditLogNotifications;
  }

  public void setAuditLogNotifications(List<AuditLogNotificationEditOpenApiVo> auditLogNotifications) {
    this.auditLogNotifications = auditLogNotifications;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    AuditLogNotificationSettingEditOpenApiVo auditLogNotificationSettingEditOpenApiVo = (AuditLogNotificationSettingEditOpenApiVo) o;
    return Objects.equals(this.webhookConfig, auditLogNotificationSettingEditOpenApiVo.webhookConfig) &&
        Objects.equals(this.auditLogNotifications, auditLogNotificationSettingEditOpenApiVo.auditLogNotifications);
  }

  @Override
  public int hashCode() {
    return Objects.hash(webhookConfig, auditLogNotifications);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class AuditLogNotificationSettingEditOpenApiVo {\n");
    
    sb.append("    webhookConfig: ").append(toIndentedString(webhookConfig)).append("\n");
    sb.append("    auditLogNotifications: ").append(toIndentedString(auditLogNotifications)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

